Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.linkchecker
Class LinkVerifier

    java.lang.Object
      java.lang.Thread
          rabbit.linkchecker.LinkVerifier

All Implemented Interfaces:
  java.lang.Runnable

    public class LinkVerifier

extends java.lang.Thread

linkchecker... This is how it should work when it is finished:

     mailto:user@host.net => SMTP, VRFY user
     href=page => follow the link if page in given set (test that external link works but do not recurse them).
     news => ignore.
     file => warn
     ftp  => check that the file exist.

     imagemaps => as specified above.
     frameset  => as specified above.
     applets   => check that it exists.
     images    => check that it exists.
     anchors   => check that the page has them.

     proxy support.

authentifiering => if basic-auth then use it since it is simple.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`static java.lang.String` | `VERSION` Current version

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`LinkVerifier(java.net.URL prev, java.net.URL url)` Create a new LinkVerifier for the given urls.

Method Summary
`static void` | `main(java.lang.String[] args)`
`static void` | `printHelp()` print out the helptext to the user.
`void` | `run()` Fetch the page and recurse the urls found.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VERSION

    public static final java.lang.String VERSION

  Current version

  See Also:
    Constant Field Values

Constructor Detail

### LinkVerifier

    public LinkVerifier(java.net.URL prev,
                        java.net.URL url)

  Create a new LinkVerifier for the given urls.

  Parameters:
    `prev` - the URL we came from.
    `url` - the URL to fetch.

Method Detail

### run

    public void run()

  Fetch the page and recurse the urls found.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### printHelp

    public static void printHelp()

  print out the helptext to the user.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD